## morse 1.0.1

=== DESCRIPTION ===
Package: morse
Type: Package
Title: MOdelling tools for Reproduction and Survival data in
        Ecotoxicology
Version: 1.0.1
Date: 2014-06-19
Author: Marie Laure Delignette-Muller [aut, cre], Philippe Ruiz [aut, cre], Sandrine Charles [aut], Wandrille Duchemin [ctb], Christelle Lopes [ctb], Philippe Veber [ctb]
Maintainer: Philippe Ruiz <philippe.ruiz@univ-lyon1.fr>
Description: A package for ecotoxicologists and regulators dedicated to the mathematical and statistical modelling of bioassay data. The package uses advanced and innovative methods for a valuable quantitative environmental risk assessment.
Depends: R (>= 3.0.0)
SystemRequirements: jags (>= 3.0.0)
Suggests: dclone, ggmcmc, ggplot2, gridExtra, lattice, rjags
Imports: graphics, grDevices, plyr
License: GPL (>= 2)
Packaged: 2014-06-19 09:54:49 UTC; Philippe
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-19 12:43:47

## morse 1.0.2

=== DESCRIPTION ===
Package: morse
Type: Package
Title: MOdelling tools for Reproduction and Survival data in
        Ecotoxicology
Version: 1.0.2
Date: 2014-06-24
Author: Marie Laure Delignette-Muller [aut, cre], Philippe Ruiz [aut, cre], Sandrine Charles [aut], Wandrille Duchemin [ctb], Christelle Lopes [ctb], Philippe Veber [ctb]
Maintainer: Philippe Ruiz <philippe.ruiz@univ-lyon1.fr>
Description: A package for ecotoxicologists and regulators dedicated to the mathematical and statistical modelling of bioassay data. The package uses advanced and innovative methods for a valuable quantitative environmental risk assessment.
Depends: R (>= 3.0.0)
SystemRequirements: jags (>= 3.0.0)
Suggests: dclone, ggmcmc, ggplot2, gridExtra, lattice, rjags
Imports: graphics, grDevices, plyr
License: GPL (>= 2)
Packaged: 2014-07-03 08:24:49 UTC; Philippe
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-07-03 15:51:32

## morse 2.0.0

=== DESCRIPTION ===
Package: morse
Type: Package
Title: MOdelling Tools for Reproduction and Survival Data in
        Ecotoxicology
Version: 2.0.0
Date: 2015-09-01
Author: Marie Laure Delignette-Muller [aut, cre], Philippe Ruiz [aut, cre], Sandrine Charles [aut], Wandrille Duchemin [ctb], Christelle Lopes [ctb], Guillaume Kon-Kam-king [ctb], Philippe Veber [ctb]
Maintainer: Philippe Ruiz <philippe.ruiz@univ-lyon1.fr>
Description: Tools for ecotoxicologists and regulators dedicated to the mathematical and statistical modelling of bioassay data. They use advanced and innovative methods for a valuable quantitative environmental risk assessment.
Depends: R (>= 3.0.0)
SystemRequirements: jags (>= 3.0.0) (see
        http://mcmc-jags.sourceforge.net)
Imports: coda, dplyr, graphics, grDevices, ggplot2, grid, gridExtra,
        methods, rjags, stats, stringr
License: GPL (>= 2)
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-09-01 07:17:55 UTC; Philippe
Repository: CRAN
Date/Publication: 2015-09-01 17:32:49

## morse 2.1

=== Makefile ===
# Select your audio output device.  Current choices are:
#
#   X11:    The X11 window system.
#   Linux:  IBM PC Console running Linux.
#   OSS:    Open Sound System /dev/dsp device.
#
# Two notes about OSS:
# (1) You can use this even on a recent Linux kernel with ALSA, which
#     implements enough of the OSS interface for it to work.
# (2) Many Linux laptops seem to have console speakers that are unreliable 
#     for various hardware and software reasons.  You may be better off using 
#     morseOSS than morseLinux.
#
# Running on Mac OS X:
# (1) Use X11.  The user must, as with any X11 client, set the DISPLAY 
#   variable, and have the X server running. Finally, the X11 output 
#   preferences dialog should have "Use system alert effect" unchecked; 
#   otherwise, the system alert (settable, but unlikely to be useful to 
#   copy code in any event) will be used instead of the X beep.
#
# Adding a new device is as simple as creating a new implementation of the
# beep.h interface.  See beep*.c for examples.  Please send any additions
# to the authors!
#
#DEVICE = X11
#DEVICE = Linux
DEVICE = OSS

VERS=$(shell sed <morse.spec -n -e '/Version: \(.*\)/s//\1/p')

MANPAGES = morse.1 QSO.1 
DOCS = README HISTORY morse.xml morse.spec $(MANPAGES)
ALL=  $(DOCS) Makefile $(SOURCES) test_input \
	morse.d/*.[ch] morse.d/Makefile \
	qso.d/*.[ch] qso.d/Makefile

default:
	make testmorse

all: morse QSO morse.1 QSO.1

morse:
	cd morse.d && make DEVICE=${DEVICE}
	ln morse.d/morse ./morse

QSO:
	cd qso.d && make
	ln qso.d/QSO ./QSO

#
# "Jocks find quartz glyph, vex BMW." is my attempt to win Stephen J. Gould's
# prize (a copy of all his books) for the first person who can come up with a
# "perfect pangram": a meaningful sentence consisting entirely of common
# English words, with no abbreviations or proper names, that contains each
# letter exactly once. He rejected it because it contains "BMW", alas, but
# he did say it's the closest he's seen so far. - Joe Dellinger
#
testmorse:	morse QSO
	(cat test_input; qso.d/QSO) | morse -w 24 -l -e

testqso:	morse QSO
	qso.d/QSO | ./morse -w 20 -l -e

all:	morse QSO

clean:
	rm -f morse QSO
	cd morse.d; make clean
	cd qso.d; make clean

pristine: clean
	rm -f $(MANPAGES)

morse.1: morse.xml
	xmlto man morse.xml

morse.html: morse.xml
	xmlto xhtml-nochunks morse.xml

morse-$(VERS).tar.gz: $(ALL)
	@ls $(ALL) | sed s:^:morse-$(VERS)/: >MANIFEST
	@(cd ..; ln -s trunk morse-$(VERS))
	(cd ..; tar -czvf trunk/morse-$(VERS).tar.gz `cat trunk/MANIFEST`)
	@(cd ..; rm morse-$(VERS))

dist: morse-$(VERS).tar.gz

release: morse-$(VERS).tar.gz morse.html
	shipper -f; rm -f CHANGES ANNOUNCE* *.1 *.html *.rpm *.lsm MANIFEST

=== morse.d/Makefile ===
DEVICE=X11

BEEPERS = beepLinux.c beepOSS.c beepX11.c
SOURCES = alarm.c morse.c alarm.h beep.h $(BEEPERS)

# The flags necessary to link with the X11 libraries.
X11LIBS = -L/usr/X11R6/lib -lX11

# Any additional flags your favorite C compiler requires to work.
CFLAGS  = -O3 -I/usr/X11R6/include

morse:	morse${DEVICE}
	rm -f $@
	ln morse${DEVICE} $@

morseX11:	morse.o beepX11.o alarm.o
	$(CC) $(X11LIBS) -o $@ morse.o beepX11.o alarm.o

morseLinux:	morse.o beepLinux.o alarm.o
	$(CC) -o $@ morse.o beepLinux.o alarm.o -lm

morseOSS:	morse.o beepOSS.o
	$(CC) $(CFLAGS) -o $@ morse.o beepOSS.o -lm

morse.o:	beep.h Makefile
beepX11.o:	beep.h alarm.h
beepLinux.o:	beep.h alarm.h
beepOSS.o:	beep.h
alarm.o:	alarm.h

clean:
	rm -f *.o morse QSO morseX11 morseLinux morseOSS

=== debian/changelog ===
morse (2.1-4) unstable; urgency=low

  * New package maintainer. (Closes: Bug#553991).
  * Lintian cleaning.
  * Updated S-V to 3.8.4
      - debian/copyright file is now UTF-8 encoded.
  * Added co-authors to debian/copyright file.
  * Added ${misc:Depends} to conrol file.
  * Added debian/source/format file.
  * Removed "-" from rules file because the package uses
    a static makefile.
  * Bumped debhelper versioned Build-Depends to 7, and updated
    debian/compat.
  * Extracted changes to upstream files to debian/patches.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Wed, 19 May 2010 01:04:44 +0000

morse (2.1-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 02 Nov 2009 15:48:45 +0000

morse (2.1-2) unstable; urgency=low

  * Add libx11-dev build dependency. Closes: #357570. Thanks Martin.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 18 Mar 2006 09:47:15 +0100

morse (2.1-1) unstable; urgency=low

  * Initial release Closes: #325242.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 22 Feb 2006 20:05:30 +0100

=== debian/control ===
Source: morse
Section: hamradio
Priority: optional
Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
Build-Depends: debhelper (>= 7.0.0), libx11-dev
Standards-Version: 3.8.4

Package: morse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 'Morse Classic' is a morse-code training program for aspiring radio hams
 It can generate random tests or simulated QSOs resembling those
 used in the ARRL test (a QSO generator is included). There are a
 plethora of options to vary the training method. In one of the simpler
 modes, this program will take text from standard input and render it
 as Morse-code beeps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd morse.d && $(MAKE) DEVICE=Linux
	cd morse.d && $(MAKE) DEVICE=X11
	#docbook-to-man debian/morse.sgml > morse.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
#	dh_clean -k 
	dh_installdirs usr/bin

	# Add here commands to install the package into debian/morse.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/morse


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman morse.1 QSO.1 morseX11.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## morse 2.1.0

=== DESCRIPTION ===
Package: morse
Type: Package
Title: MOdelling Tools for Reproduction and Survival Data in
        Ecotoxicology
Version: 2.1.0
Date: 2015-12-14
Author: Marie Laure Delignette-Muller [aut], Philippe Ruiz [aut], Sandrine
    Charles [aut], Wandrille Duchemin [ctb], Christelle Lopes [ctb], Guillaume Kon-
    Kam-king [ctb], Philippe Veber [aut]
Maintainer: Philippe Ruiz <philippe.ruiz@univ-lyon1.fr>
Description: Tools for ecotoxicologists and regulators dedicated to the
    mathematical and statistical modelling of bioassay data. They use advanced and
    innovative methods for a valuable quantitative environmental risk assessment.
Depends: R (>= 3.0.0)
SystemRequirements: jags (>= 4.0.0) (see
        http://mcmc-jags.sourceforge.net)
Imports: coda, dplyr, graphics, grDevices, ggplot2, grid, gridExtra,
        methods, rjags, stats, stringr
License: GPL (>= 2)
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2015-12-14 14:49:53 UTC; Philippe
Repository: CRAN
Date/Publication: 2015-12-14 17:19:17

## morse 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: MOdelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 2.1.0
-Date: 2015-12-14
+Version: 2.1.1
+Date: 2015-12-21
 Author: Marie Laure Delignette-Muller [aut], Philippe Ruiz [aut], Sandrine
     Charles [aut], Wandrille Duchemin [ctb], Christelle Lopes [ctb], Guillaume Kon-
     Kam-king [ctb], Philippe Veber [aut]
@@ -21,6 +21,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2015-12-14 14:49:53 UTC; Philippe
+Packaged: 2015-12-21 12:18:16 UTC; Philippe
 Repository: CRAN
-Date/Publication: 2015-12-14 17:19:17
+Date/Publication: 2015-12-21 15:29:07

## morse 2.2

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #   X11:    The X11 window system.
 #   Linux:  IBM PC Console running Linux.
 #   OSS:    Open Sound System /dev/dsp device.
+#   PA:     PulseAudio using the pulse-simple client API.
 #
 # Two notes about OSS:
 # (1) You can use this even on a recent Linux kernel with ALSA, which
@@ -24,12 +25,13 @@
 #
 #DEVICE = X11
 #DEVICE = Linux
-DEVICE = OSS
+#DEVICE = OSS
+DEVICE = PA
 
-VERS=$(shell sed <morse.spec -n -e '/Version: \(.*\)/s//\1/p')
+VERSION=2.2
 
 MANPAGES = morse.1 QSO.1 
-DOCS = README HISTORY morse.xml morse.spec $(MANPAGES)
+DOCS = README HISTORY morse.xml $(MANPAGES)
 ALL=  $(DOCS) Makefile $(SOURCES) test_input \
 	morse.d/*.[ch] morse.d/Makefile \
 	qso.d/*.[ch] qso.d/Makefile
@@ -56,7 +58,7 @@
 # he did say it's the closest he's seen so far. - Joe Dellinger
 #
 testmorse:	morse QSO
-	(cat test_input; qso.d/QSO) | morse -w 24 -l -e
+	(cat test_input; qso.d/QSO) | ./morse -w 24 -l -e
 
 testqso:	morse QSO
 	qso.d/QSO | ./morse -w 20 -l -e
@@ -69,22 +71,19 @@
 	cd qso.d; make clean
 
 pristine: clean
-	rm -f $(MANPAGES)
+	rm -f $(MANPAGES) morse.html
 
-morse.1: morse.xml
+morse.1 QSO.1: morse.xml
 	xmlto man morse.xml
 
 morse.html: morse.xml
 	xmlto xhtml-nochunks morse.xml
 
-morse-$(VERS).tar.gz: $(ALL)
-	@ls $(ALL) | sed s:^:morse-$(VERS)/: >MANIFEST
-	@(cd ..; ln -s trunk morse-$(VERS))
-	(cd ..; tar -czvf trunk/morse-$(VERS).tar.gz `cat trunk/MANIFEST`)
-	@(cd ..; rm morse-$(VERS))
+morse-$(VERSION).tar.gz: $(ALL)
+	@ls $(ALL) | sed s:^:morse-$(VERSION)/: >MANIFEST
+	@(cd ..; ln -s morse-classic morse-$(VERSION))
+	(cd ..; tar -czvf morse-classic/morse-$(VERSION).tar.gz `cat morse-classic/MANIFEST`)
+	@(cd ..; rm morse-$(VERSION))
 
-dist: morse-$(VERS).tar.gz
+dist: morse-$(VERSION).tar.gz
 
-release: morse-$(VERS).tar.gz morse.html
-	shipper -f; rm -f CHANGES ANNOUNCE* *.1 *.html *.rpm *.lsm MANIFEST
-

=== morse.d/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DEVICE=X11
+DEVICE=PA
 
 BEEPERS = beepLinux.c beepOSS.c beepX11.c
 SOURCES = alarm.c morse.c alarm.h beep.h $(BEEPERS)
@@ -6,8 +6,12 @@
 # The flags necessary to link with the X11 libraries.
 X11LIBS = -L/usr/X11R6/lib -lX11
 
+# The flags necessary to link with the PulseAudio and support pthread
+PA_EXTRA_CFLAGS = -pthread `pkg-config --cflags libpulse-simple`
+PA_EXTRALIBS = `pkg-config --libs libpulse-simple` -lm -pthread
+
 # Any additional flags your favorite C compiler requires to work.
-CFLAGS  = -O3 -I/usr/X11R6/include
+CFLAGS  = -O3 -I/usr/X11R6/include $($(device)_EXTRA_CFLAGS)
 
 morse:	morse${DEVICE}
 	rm -f $@
@@ -22,6 +26,9 @@
 morseOSS:	morse.o beepOSS.o
 	$(CC) $(CFLAGS) -o $@ morse.o beepOSS.o -lm
 
+morsePA:	morse.o beepPA.o
+	$(CC) $(CFLAGS) -o $@ morse.o beepPA.o $(PA_EXTRALIBS)
+
 morse.o:	beep.h Makefile
 beepX11.o:	beep.h alarm.h
 beepLinux.o:	beep.h alarm.h
@@ -29,4 +36,4 @@
 alarm.o:	alarm.h
 
 clean:
-	rm -f *.o morse QSO morseX11 morseLinux morseOSS
+	rm -f *.o morse QSO morseX11 morseLinux morseOSS morsePA

=== debian/changelog ===
morse (2.2-1) unstable; urgency=low

  * New upstream release.
  * Added PulseAudio driver from Thomas Horsten <thomas@horsten.com>.
  * Updated S-V to 3.9.1
  * Added Recommends: pulseaudio to debian/control file.
  * Added Homepage: http://www.catb.org/~esr/morse/ field to debian/control
    file.
  * Removed all commented dh_ commands from debian/rules file.
  * Updated the debian/copyright file.
  * debian/patches/00makefile: Updated to cover pulseaudio device.
  * debian/patches/02morsemake: Dropped, we need the symbolic link to the
    morse binary.
  * debian/patches/03morse, debian/patches/04qso, debian/patches/05grammar:
    Dropped, merged upstream.
  * debian/patches/02morseLinux: Added to add new alias manpage.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sat, 30 Oct 2010 11:42:16 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: hamradio
 Priority: optional
 Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
-Build-Depends: debhelper (>= 7.0.0), libx11-dev
-Standards-Version: 3.8.4
+Homepage: http://www.catb.org/~esr/morse/
+Build-Depends: debhelper (>= 7.0.0), libx11-dev, libpulse-dev
+Standards-Version: 3.9.1
 
 Package: morse
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: pulseaudio
 Description: 'Morse Classic' is a morse-code training program for aspiring radio hams
  It can generate random tests or simulated QSOs resembling those
  used in the ARRL test (a QSO generator is included). There are a

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	$(MAKE)
 	cd morse.d && $(MAKE) DEVICE=Linux
 	cd morse.d && $(MAKE) DEVICE=X11
+	cd morse.d && $(MAKE) DEVICE=PA
 	#docbook-to-man debian/morse.sgml > morse.1
 
 	touch build-stamp
@@ -55,7 +56,6 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-#	dh_clean -k 
 	dh_installdirs usr/bin
 
 	# Add here commands to install the package into debian/morse.
@@ -73,24 +73,11 @@
 	dh_installchangelogs HISTORY
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-	dh_installman morse.1 QSO.1 morseX11.1
+	dh_installman morse.1 QSO.1 morseX11.1 morseLinux.1
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## morse 2.2.0

=== DESCRIPTION ===
Package: morse
Type: Package
Title: MOdelling Tools for Reproduction and Survival Data in
        Ecotoxicology
Version: 2.2.0
Date: 2016-06-03
Author: Marie Laure Delignette-Muller [aut], Philippe Ruiz [aut], Sandrine
    Charles [aut], Wandrille Duchemin [ctb], Christelle Lopes [ctb], Guillaume Kon-
    Kam-king [ctb], Philippe Veber [aut]
Maintainer: Philippe Veber <philippe.veber@univ-lyon1.fr>
Description: Tools for ecotoxicologists and regulators dedicated to the
    mathematical and statistical modelling of bioassay data. They use advanced and
    innovative methods for a valuable quantitative environmental risk assessment.
Depends: R (>= 3.0.0)
SystemRequirements: jags (>= 4.0.0) (see
        http://mcmc-jags.sourceforge.net)
Imports: coda, dplyr, epitools, graphics, grDevices, ggplot2 (>=
        2.1.0), grid, gridExtra, methods, reshape2, rjags (>= 4.0),
        stats, stringr
License: GPL (>= 2)
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 5.0.1
LazyData: true
NeedsCompilation: no
Packaged: 2016-06-07 15:58:54 UTC; pveber
Repository: CRAN
Date/Publication: 2016-06-08 15:40:21

## morse 2.4

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,12 @@
 #   Linux:  IBM PC Console running Linux.
 #   OSS:    Open Sound System /dev/dsp device.
 #   PA:     PulseAudio using the pulse-simple client API.
+#   ALSA:   Advanced Linux Sound Architecture
 #
-# Two notes about OSS:
-# (1) You can use this even on a recent Linux kernel with ALSA, which
-#     implements enough of the OSS interface for it to work.
-# (2) Many Linux laptops seem to have console speakers that are unreliable 
-#     for various hardware and software reasons.  You may be better off using 
-#     morseOSS than morseLinux.
+# Running on Linux:
+#   Many Linux laptops seem to have console speakers that are unreliable
+#   for various hardware and software reasons.  You may be better off
+#   using morseALSA or morseOSS than morseLinux.
 #
 # Running on Mac OS X:
 # (1) Use X11.  The user must, as with any X11 client, set the DISPLAY 
@@ -26,12 +25,13 @@
 #DEVICE = X11
 #DEVICE = Linux
 #DEVICE = OSS
+#DEVICE = ALSA
 DEVICE = PA
 
-VERSION=2.2
+VERSION=2.4
 
 MANPAGES = morse.1 QSO.1 
-DOCS = README HISTORY morse.xml $(MANPAGES)
+DOCS = README HISTORY COPYING morse.xml $(MANPAGES)
 ALL=  $(DOCS) Makefile $(SOURCES) test_input \
 	morse.d/*.[ch] morse.d/Makefile \
 	qso.d/*.[ch] qso.d/Makefile
@@ -66,7 +66,7 @@
 all:	morse QSO
 
 clean:
-	rm -f morse QSO
+	rm -f morse QSO *.1 *.html SHIPPER.*
 	cd morse.d; make clean
 	cd qso.d; make clean
 
@@ -82,8 +82,10 @@
 morse-$(VERSION).tar.gz: $(ALL)
 	@ls $(ALL) | sed s:^:morse-$(VERSION)/: >MANIFEST
 	@(cd ..; ln -s morse-classic morse-$(VERSION))
-	(cd ..; tar -czvf morse-classic/morse-$(VERSION).tar.gz `cat morse-classic/MANIFEST`)
+	(cd ..; tar -czf morse-classic/morse-$(VERSION).tar.gz `cat morse-classic/MANIFEST`)
 	@(cd ..; rm morse-$(VERSION))
 
 dist: morse-$(VERSION).tar.gz
 
+release: morse-$(VERSION).tar.gz morse.html
+	shipper -u -m -t; make clean

=== debian/changelog ===
morse (2.4-2ubuntu1) precise; urgency=low

  * Merge from debian testing. Remaining changes:
    - 02asneeded: new patch, fixes FTBFS Thanks to John Nogatch.
      (Forwarded as debian bug no 632436) 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 13 Nov 2011 20:49:00 +0530

morse (2.4-2) unstable; urgency=low

  * Added to Build-Depends: libasound2-dev library for building morseALSA. 
  * morse package now installs morseALSA binary. (Closes: Bug#642607).

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 25 Sep 2011 13:04:07 +0300

morse (2.4-1ubuntu1) oneiric; urgency=low

  * 02asneeded: new patch, fixes FTBFS (LP: #770766). Thanks to John Nogatch.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 02 Jul 2011 11:56:46 +0400

morse (2.4-1) unstable; urgency=low

  * New upstream release

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Fri, 17 Jun 2011 13:57:00 +0300

morse (2.3-1) unstable; urgency=low

  * New upstream release
  * Update debian/control
    - Update to S-V 3.9.2: no changes needed.
    - Fixed lintian warning for the description synopsis.
  * Fixed the -A, -B, and -S options (-B was always active, 
    -A and -S had no effect).
  * Only include prosigns if -B is specified, per the documentation.
  * Added '@' character (.--.-.), in use if -B is enabled.
  * Changed representation of <SN> prosign from '@' to '~' to accommodate '@'.
  * Don't crash if char is signed and a negative value is sent.
  * Added an xml stub for morseX11.1 and morseLinux.1 man files.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 01 May 2011 16:53:08 +0200

=== debian/control ===
Source: morse
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
Homepage: http://www.catb.org/~esr/morse/
Build-Depends: debhelper (>= 7.0.0), libx11-dev, libpulse-dev, xmlto (>= 0.0.23-2), libasound2-dev
Standards-Version: 3.9.2

Package: morse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pulseaudio
Description: training program about morse-code for aspiring radio hams
 It can generate random tests or simulated QSOs resembling those
 used in the ARRL test (a QSO generator is included). There are a
 plethora of options to vary the training method. In one of the simpler
 modes, this program will take text from standard input and render it
 as Morse-code beeps.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 
 
 build: build-stamp
-
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 
@@ -38,7 +39,10 @@
 	cd morse.d && $(MAKE) DEVICE=Linux
 	cd morse.d && $(MAKE) DEVICE=X11
 	cd morse.d && $(MAKE) DEVICE=PA
+	cd morse.d && $(MAKE) DEVICE=OSS
+	cd morse.d && $(MAKE) DEVICE=ALSA
 	#docbook-to-man debian/morse.sgml > morse.1
+	xmlto man morse.xml
 
 	touch build-stamp
 
@@ -73,7 +77,7 @@
 	dh_installchangelogs HISTORY
 	dh_installdocs
 	dh_installexamples
-	dh_installman morse.1 QSO.1 morseX11.1 morseLinux.1
+	dh_installman morse.1 QSO.1 morseLinux.1 morseX11.1 morseOSS.1 morseALSA.1
 	dh_link
 	dh_strip
 	dh_compress

=== debian/watch ===
version=3
http://www.catb.org/~esr/morse/morse-(.*)\.tar\.gz	debian	uupdate

## morse 2.5

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #DEVICE = ALSA
 DEVICE = PA
 
-VERSION=2.4
+VERSION=2.5
 
 MANPAGES = morse.1 QSO.1 
 DOCS = README HISTORY COPYING morse.xml $(MANPAGES)
@@ -36,7 +36,7 @@
 	morse.d/*.[ch] morse.d/Makefile \
 	qso.d/*.[ch] qso.d/Makefile
 
-default:
+default: all
 	make testmorse
 
 all: morse QSO morse.1 QSO.1
@@ -87,5 +87,10 @@
 
 dist: morse-$(VERSION).tar.gz
 
+cppcheck:
+	cppcheck --template gcc --enable=all qso.d/*.[ch]
+	cppcheck --template gcc --enable=all morse.d/*.[ch]
+
+
 release: morse-$(VERSION).tar.gz morse.html
 	shipper -u -m -t; make clean

=== morse.d/Makefile ===
DEVICE=PA

BEEPERS = beepLinux.c beepOSS.c beepX11.c beepALSA.c
SOURCES = alarm.c morse.c alarm.h beep.h $(BEEPERS)

# The flags necessary to link with the X11 libraries.
X11LIBS = -L/usr/X11R6/lib -lX11

# The flags necessary to link with PulseAudio and support pthread
PA_CFLAGS = -pthread $(shell pkg-config --cflags libpulse-simple)
PA_LIBS = $(shell pkg-config --libs libpulse-simple) -pthread

# The flags necessary to link with ALSA
ALSA_CFLAGS = $(shell pkg-config --cflags alsa)
ALSA_LIBS = $(shell pkg-config --libs alsa)

# Any additional flags your favorite C compiler requires to work.
CFLAGS  = -O3 -I/usr/X11R6/include $($(device)_EXTRA_CFLAGS)

morse:	morse${DEVICE}
	rm -f $@
	ln morse${DEVICE} $@

morseX11:	morse.o beepX11.o alarm.o
	$(CC) $(X11LIBS) -o $@ morse.o beepX11.o alarm.o

morseLinux:	morse.o beepLinux.o alarm.o
	$(CC) -o $@ morse.o beepLinux.o alarm.o -lm

morseOSS:	morse.o beepOSS.o
	$(CC) $(CFLAGS) -o $@ morse.o beepOSS.o -lm

morsePA:	morse.o beepPA.o
	$(CC) $(CFLAGS) $(PA_CFLAGS) -o $@ morse.o beepPA.o -lm $(PA_LIBS)

morseALSA:	morse.o beepALSA.o
	$(CC) $(CFLAGS) $(ALSA_CFLAGS) -o $@ morse.o beepALSA.o -lm $(ALSA_LIBS)

morse.o:	beep.h Makefile
beepX11.o:	beep.h alarm.h
beepLinux.o:	beep.h alarm.h
beepOSS.o:	beep.h
beepALSA.o:	beep.h
alarm.o:	alarm.h

clean:
	rm -f *.o morse QSO morseX11 morseLinux morseOSS morsePA morseALSA

=== qso.d/Makefile ===
CFLAGS  = -O3

OBJECTS = QSO.o put_form.o make_fre.o grammar.o util.o init_str.o
INCLUDES = antenna.h callsign.h city.h cityh.h heights.h jobs.h misc.h \
           names.h newcity.h rig.h weather.h

all:	QSO

QSO:	$(OBJECTS)
	$(CC) -o $@ $(OBJECTS)

init_str.o:	$(INCLUDES)

clean:
	rm -f *.o QSO

=== debian/changelog ===
morse (2.5-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.6.
  * Clean Lintian messages.
  * Fix AlarmSet declaration and definition match (Closes: Bug#749420).
  * Update watch file (Closes: Bug#784861).
  * Fix build (omit morseALSA and morseLinux) for non-Linux arches
    - drop 02makefile.patch, build and install via debian/rules
  * Fix -X crash (Closes: #716099, #716111, #716218, #716298)
  * Adjust Maintainer/Uploaders fields

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Wed, 10 Jun 2015 11:26:20 +0300

morse (2.4-3) unstable; urgency=high

  * Open a mono (not stereo) PulseAudio output stream and hence avoid
    improperly passing non-multiples of the frame size to pa_simple_write
    (Closes: #784285, LP: #1461755). Thanks to Kamal Mostafa for providing
    the patch.
  * New patch fixing FTBFS (LP: #770766). Thanks to John Nogatch.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sat, 06 Jun 2015 12:26:41 +0300

=== debian/control ===
Source: morse
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Nanakos Chrysostomos <nanakos@wired-net.gr>, Kamal Mostafa <kamal@whence.com>
Homepage: http://www.catb.org/~esr/morse/
Build-Depends: debhelper (>= 7.0.0), libx11-dev, libpulse-dev, xmlto (>= 0.0.23-2), libasound2-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6

Package: morse
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pulseaudio
Description: training program about morse-code for aspiring radio hams
 It can generate random tests or simulated QSOs resembling those
 used in the ARRL test (a QSO generator is included). There are a
 plethora of options to vary the training method. In one of the simpler
 modes, this program will take text from standard input and render it
 as Morse-code beeps.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -Wunused -g
 
-
-
-CFLAGS = -Wall -g
+LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -35,12 +37,16 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-	cd morse.d && $(MAKE) DEVICE=Linux
+	cd qso.d && $(MAKE)
 	cd morse.d && $(MAKE) DEVICE=X11
 	cd morse.d && $(MAKE) DEVICE=PA
 	cd morse.d && $(MAKE) DEVICE=OSS
-	cd morse.d && $(MAKE) DEVICE=ALSA
+	if dpkg-architecture -ilinux-any ; then \
+		cd morse.d && $(MAKE) DEVICE=Linux ; \
+	fi
+	if dpkg-architecture -ilinux-any ; then \
+		cd morse.d && $(MAKE) DEVICE=ALSA ; \
+	fi
 	#docbook-to-man debian/morse.sgml > morse.1
 	xmlto man morse.xml
 
@@ -63,7 +69,14 @@
 	dh_installdirs usr/bin
 
 	# Add here commands to install the package into debian/morse.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/morse
+	mv morse.d/morsePA morse.d/morse  # install morsePA as /usr/bin/morse
+	dh_install morse.d/morse usr/bin
+	dh_install morse.d/morseX11 usr/bin
+	dh_install morse.d/morseOSS usr/bin
+	if dpkg-architecture -ilinux-any ; then \
+		dh_install morse.d/morseLinux morse.d/morseALSA usr/bin ; \
+	fi
+	dh_install qso.d/QSO usr/bin
 
 
 # Build architecture-independent files here.
@@ -77,7 +90,10 @@
 	dh_installchangelogs HISTORY
 	dh_installdocs
 	dh_installexamples
-	dh_installman morse.1 QSO.1 morseLinux.1 morseX11.1 morseOSS.1 morseALSA.1
+	dh_installman morse.1 QSO.1 morseX11.1 morseOSS.1
+	if dpkg-architecture -ilinux-any ; then \
+		dh_installman morseLinux.1 morseALSA.1 ; \
+	fi
 	dh_link
 	dh_strip
 	dh_compress

=== debian/watch ===
version=3
http://www.catb.org/~esr/morse-classic/morse-(.*)\.tar\.gz  debian uupdate

## morse 2.6

=== Makefile ===
--- 
+++ 
@@ -22,22 +22,24 @@
 # beep.h interface.  See beep*.c for examples.  Please send any additions
 # to the authors!
 #
+# SPDX-FileCopyrightText: (C) Eric S. Raymond <esr@thyrsus.com>
+# SPDX-License-Identifier: BSD-2-Clause
+#
 #DEVICE = X11
 #DEVICE = Linux
 #DEVICE = OSS
-#DEVICE = ALSA
-DEVICE = PA
+DEVICE = ALSA
+#DEVICE = PA
 
-VERSION=2.5
+VERSION=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
 MANPAGES = morse.1 QSO.1 
-DOCS = README HISTORY COPYING morse.xml $(MANPAGES)
+DOCS = README NEWS COPYING TODO morse.xml $(MANPAGES)
 ALL=  $(DOCS) Makefile $(SOURCES) test_input \
 	morse.d/*.[ch] morse.d/Makefile \
 	qso.d/*.[ch] qso.d/Makefile
 
 default: all
-	make testmorse
 
 all: morse QSO morse.1 QSO.1
 
@@ -63,15 +65,18 @@
 testqso:	morse QSO
 	qso.d/QSO | ./morse -w 20 -l -e
 
-all:	morse QSO
+check: testmorse testqso
 
 clean:
-	rm -f morse QSO *.1 *.html SHIPPER.*
+	rm -f morse QSO *.1 *.html
 	cd morse.d; make clean
 	cd qso.d; make clean
 
 pristine: clean
 	rm -f $(MANPAGES) morse.html
+
+reflow:
+	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")
 
 morse.1 QSO.1: morse.xml
 	xmlto man morse.xml
@@ -88,9 +93,11 @@
 dist: morse-$(VERSION).tar.gz
 
 cppcheck:
-	cppcheck --template gcc --enable=all qso.d/*.[ch]
-	cppcheck --template gcc --enable=all morse.d/*.[ch]
-
+	cppcheck --quiet --template gcc --enable=all --suppress=missingIncludeSystem qso.d/*.[ch]
+	cppcheck --quiet --template gcc --enable=all --suppress=missingIncludeSystem morse.d/*.[ch]
 
 release: morse-$(VERSION).tar.gz morse.html
-	shipper -u -m -t; make clean
+	shipper version=$(VERSION) | sh -e -x
+
+refresh: morse.html
+	shipper -N -w version=$(VERSION) | sh -e -x

=== qso.d/Makefile ===
CFLAGS  = -O3

OBJECTS = QSO.o put_form.o make_fre.o grammar.o util.o init_str.o
INCLUDES = antenna.i callsign.i city.i cityh.i heights.i jobs.i misc.i \
           names.i newcity.i rig.i weather.i

all:	QSO

QSO:	$(OBJECTS)
	$(CC) -o $@ $(OBJECTS)

init_str.o:	$(INCLUDES)

clean:
	rm -f *.o QSO

=== debian/changelog ===
morse (2.6-3) unstable; urgency=medium

  * Team upload.
  * Add patch for FTBFS w/GCC-15 (Closes: #1097413)
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Sun, 07 Sep 2025 21:53:17 -0700

morse (2.6-2) unstable; urgency=medium

  * Team upload.
  * Add patch for FTBFS w/GCC-14 (Closes: #1075287)
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Sun, 11 Aug 2024 21:12:15 -0700

morse (2.6-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.

  [ tony mancill ]
  * Update debian/watch to pull from GitLab
  * New upstream version 2.6 (Closes: #1066539)
  * Refresh patches for new upstream release
  * Disable tests, which require access to a sound card
  * Update debian/copyright for upstream change to BSD-2-clause
  * Bump Standards-Version to 4.6.2
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Fri, 29 Mar 2024 11:14:11 -0700

morse (2.5-2) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * DH 13.
  * Simplify rules using dh.
  * Add gitlab-ci.yml.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #911250)
    + Let dh_auto_build supply cross tools to make.
    + cross.patch: Make pkg-config substitutable.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 13:11:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Nanakos Chrysostomos <nanakos@wired-net.gr>, Kamal Mostafa <kamal@whence.com>
-Homepage: http://www.catb.org/~esr/morse/
-Build-Depends: debhelper (>= 7.0.0), libx11-dev, libpulse-dev, xmlto (>= 0.0.23-2), libasound2-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Homepage: https://gitlab.com/esr/morse-classic
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/morse.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/morse
+Build-Depends: debhelper-compat (= 13), libx11-dev, libpulse-dev, xmlto (>= 0.0.23-2), libasound2-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 
 Package: morse
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	dh_auto_build --sourcedirectory=qso.d -- CFLAGS="$(CFLAGS)"
	dh_auto_build --sourcedirectory=morse.d -- DEVICE=X11 CFLAGS="$(CFLAGS)"
	dh_auto_build --sourcedirectory=morse.d -- DEVICE=PA CFLAGS="$(CFLAGS)"
	dh_auto_build --sourcedirectory=morse.d -- DEVICE=OSS CFLAGS="$(CFLAGS)"
	if dpkg-architecture -ilinux-any ; then \
		dh_auto_build --sourcedirectory=morse.d -- DEVICE=Linux CFLAGS="$(CFLAGS)" ; \
	fi
	if dpkg-architecture -ilinux-any ; then \
		dh_auto_build --sourcedirectory=morse.d -- DEVICE=ALSA CFLAGS="$(CFLAGS)" ; \
	fi
	#docbook-to-man debian/morse.sgml > morse.1
	xmlto man morse.xml

override_dh_install:
	mv morse.d/morsePA morse.d/morse  # install morsePA as /usr/bin/morse
	dh_install morse.d/morse usr/bin
	dh_install morse.d/morseX11 usr/bin
	dh_install morse.d/morseOSS usr/bin
	if dpkg-architecture -ilinux-any ; then \
		dh_install morse.d/morseLinux morse.d/morseALSA usr/bin ; \
	fi
	dh_install qso.d/QSO usr/bin

override_dh_installman:
	dh_installman morse.1 QSO.1 morseX11.1 morseOSS.1
	if dpkg-architecture -ilinux-any ; then \
		dh_installman morseLinux.1 morseALSA.1 ; \
	fi

override_dh_auto_test:
	# test requires access to a soundcard

%:
	dh $@

## morse 3.0.0

=== DESCRIPTION ===
Package: morse
Type: Package
Title: Modelling Tools for Reproduction and Survival Data in
        Ecotoxicology
Version: 3.0.0
Author: 
    Virgile Baudrot [aut],
    Sandrine Charles [aut],
    Marie Laure Delignette-Muller [aut],
    Wandrille Duchemin [ctb],
    Guillaume Kon-Kam-King [ctb],
    Christelle Lopes [ctb],
    Philippe Ruiz [aut],
    Philippe Veber [aut]
Maintainer: Philippe Veber <philippe.veber@univ-lyon1.fr>
URL: https://cran.r-project.org/package=morse
Description: Tools for ecotoxicologists and regulators dedicated to the
    mathematical and statistical modelling of toxicity test data. They use advanced and
    innovative methods for a valuable quantitative environmental risk assessment.
Depends: R (>= 3.0.0)
SystemRequirements: JAGS (>= 4.0.0) (see
        http://mcmc-jags.sourceforge.net)
Imports: coda, dplyr, epitools, graphics, grDevices, ggplot2 (>=
        2.1.0), grid, gridExtra, magrittr, methods, reshape2, rjags (>=
        4.0), stats, tibble, tidyr, zoo
License: GPL (>= 2)
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 6.0.1
LazyData: true
NeedsCompilation: no
Packaged: 2018-01-29 19:48:14 UTC; virgile
Repository: CRAN
Date/Publication: 2018-01-30 14:15:15 UTC

## morse 3.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.0.0
+Version: 3.1.0
 Author: 
     Virgile Baudrot [aut],
     Sandrine Charles [aut],
@@ -14,6 +14,7 @@
     Philippe Veber [aut]
 Maintainer: Philippe Veber <philippe.veber@univ-lyon1.fr>
 URL: https://cran.r-project.org/package=morse
+BugReports: https://github.com/pveber/morse
 Description: Tools for ecotoxicologists and regulators dedicated to the
     mathematical and statistical modelling of toxicity test data. They use advanced and
     innovative methods for a valuable quantitative environmental risk assessment.
@@ -29,6 +30,6 @@
 RoxygenNote: 6.0.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-01-29 19:48:14 UTC; virgile
+Packaged: 2018-06-05 14:08:46 UTC; virgile
 Repository: CRAN
-Date/Publication: 2018-01-30 14:15:15 UTC
+Date/Publication: 2018-06-05 17:31:20 UTC

## morse 3.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.1.0
+Version: 3.1.1
 Author: 
     Virgile Baudrot [aut],
     Sandrine Charles [aut],
@@ -30,6 +30,6 @@
 RoxygenNote: 6.0.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-06-05 14:08:46 UTC; virgile
+Packaged: 2018-06-12 16:29:10 UTC; virgile
 Repository: CRAN
-Date/Publication: 2018-06-05 17:31:20 UTC
+Date/Publication: 2018-06-12 20:27:55 UTC

## morse 3.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.1.1
+Version: 3.2.0
+Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
     Sandrine Charles [aut],
     Marie Laure Delignette-Muller [aut],
     Wandrille Duchemin [ctb],
+    Benoit Goussen [ctb],
     Guillaume Kon-Kam-King [ctb],
     Christelle Lopes [ctb],
     Philippe Ruiz [aut],
@@ -21,15 +23,15 @@
 Depends: R (>= 3.0.0)
 SystemRequirements: JAGS (>= 4.0.0) (see
         http://mcmc-jags.sourceforge.net)
-Imports: coda, dplyr, epitools, graphics, grDevices, ggplot2 (>=
-        2.1.0), grid, gridExtra, magrittr, methods, reshape2, rjags (>=
-        4.0), stats, tibble, tidyr, zoo
+Imports: coda, deSolve, dplyr, epitools, graphics, grDevices, ggplot2
+        (>= 2.1.0), grid, gridExtra, magrittr, methods, reshape2, rjags
+        (>= 4.0), stats, tibble, tidyr, zoo
 License: GPL (>= 2)
 Suggests: knitr, rmarkdown, testthat
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-06-12 16:29:10 UTC; virgile
+Packaged: 2018-11-07 14:46:32 UTC; vbaudrot
 Repository: CRAN
-Date/Publication: 2018-06-12 20:27:55 UTC
+Date/Publication: 2018-11-12 16:40:08 UTC

## morse 3.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.2.0
+Version: 3.2.2
 Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
@@ -29,9 +29,9 @@
 License: GPL (>= 2)
 Suggests: knitr, rmarkdown, testthat
 VignetteBuilder: knitr
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-11-07 14:46:32 UTC; vbaudrot
+Packaged: 2019-02-14 08:02:10 UTC; vbaudrot
 Repository: CRAN
-Date/Publication: 2018-11-12 16:40:08 UTC
+Date/Publication: 2019-02-21 23:30:11 UTC

## morse 3.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.2.2
+Version: 3.2.4
 Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
@@ -13,13 +13,15 @@
     Guillaume Kon-Kam-King [ctb],
     Christelle Lopes [ctb],
     Philippe Ruiz [aut],
+    Alexander Singer [ctb],
     Philippe Veber [aut]
 Maintainer: Philippe Veber <philippe.veber@univ-lyon1.fr>
 URL: https://cran.r-project.org/package=morse
 BugReports: https://github.com/pveber/morse
 Description: Tools for ecotoxicologists and regulators dedicated to the
     mathematical and statistical modelling of toxicity test data. They use advanced and
-    innovative methods for a valuable quantitative environmental risk assessment.
+    innovative methods for a valuable quantitative environmental risk assessment. See also
+    Delignette-Muller et al. (2017) <doi:10.1021/acs.est.6b05326>. and Baudrot et al. (2018) <doi:10.1021/acs.est.7b05464>.
 Depends: R (>= 3.0.0)
 SystemRequirements: JAGS (>= 4.0.0) (see
         http://mcmc-jags.sourceforge.net)
@@ -32,6 +34,6 @@
 RoxygenNote: 6.1.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2019-02-14 08:02:10 UTC; vbaudrot
+Packaged: 2019-06-21 12:38:43 UTC; vbaudrot
 Repository: CRAN
-Date/Publication: 2019-02-21 23:30:11 UTC
+Date/Publication: 2019-06-21 15:00:07 UTC

## morse 3.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.2.4
+Version: 3.2.5
 Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
@@ -34,6 +34,6 @@
 RoxygenNote: 6.1.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2019-06-21 12:38:43 UTC; vbaudrot
+Packaged: 2019-09-26 08:31:34 UTC; vbaudrot
 Repository: CRAN
-Date/Publication: 2019-06-21 15:00:07 UTC
+Date/Publication: 2019-09-27 08:50:02 UTC

## morse 3.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.2.5
+Version: 3.2.7
 Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
@@ -22,7 +22,7 @@
     mathematical and statistical modelling of toxicity test data. They use advanced and
     innovative methods for a valuable quantitative environmental risk assessment. See also
     Delignette-Muller et al. (2017) <doi:10.1021/acs.est.6b05326>. and Baudrot et al. (2018) <doi:10.1021/acs.est.7b05464>.
-Depends: R (>= 3.0.0)
+Depends: R (>= 3.5.0)
 SystemRequirements: JAGS (>= 4.0.0) (see
         http://mcmc-jags.sourceforge.net)
 Imports: coda, deSolve, dplyr, epitools, graphics, grDevices, ggplot2
@@ -31,9 +31,9 @@
 License: GPL (>= 2)
 Suggests: knitr, rmarkdown, testthat
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2019-09-26 08:31:34 UTC; vbaudrot
+Packaged: 2020-11-09 08:36:58 UTC; virgi
 Repository: CRAN
-Date/Publication: 2019-09-27 08:50:02 UTC
+Date/Publication: 2020-11-09 11:40:02 UTC

## morse 3.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.2.7
+Version: 3.3.0
 Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
@@ -10,6 +10,7 @@
     Marie Laure Delignette-Muller [aut],
     Wandrille Duchemin [ctb],
     Benoit Goussen [ctb],
+    Nils Kehrein [ctb],
     Guillaume Kon-Kam-King [ctb],
     Christelle Lopes [ctb],
     Philippe Ruiz [aut],
@@ -33,7 +34,7 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 LazyData: true
-NeedsCompilation: no
-Packaged: 2020-11-09 08:36:58 UTC; virgi
+NeedsCompilation: yes
+Packaged: 2021-01-27 14:38:51 UTC; virgi
 Repository: CRAN
-Date/Publication: 2020-11-09 11:40:02 UTC
+Date/Publication: 2021-01-27 15:50:02 UTC

## morse 3.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Modelling Tools for Reproduction and Survival Data in
         Ecotoxicology
-Version: 3.3.0
+Version: 3.3.1
 Encoding: UTF-8
 Author: 
     Virgile Baudrot [aut],
@@ -35,6 +35,6 @@
 RoxygenNote: 7.1.1
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2021-01-27 14:38:51 UTC; virgi
+Packaged: 2021-02-04 14:09:23 UTC; virgi
 Repository: CRAN
-Date/Publication: 2021-01-27 15:50:02 UTC
+Date/Publication: 2021-02-04 18:00:07 UTC

## morse 3.3.2

=== DESCRIPTION ===
Package: morse
Type: Package
Title: Modelling Reproduction and Survival Data in Ecotoxicology
Version: 3.3.2
Encoding: UTF-8
Authors@R: c(
    person("Virgile", "Baudrot", role = c("aut","cre"), email = "virgile.baudrot@qonfluens.com"),
    person("Sandrine", "Charles", role = "aut"),
    person("Marie Laure", "Delignette-Muller", role = "aut"),
    person("Wandrille", "Duchemin", role = "ctb"),
    person("Benoit", "Goussen", role = "ctb"),
    person("Nils", "Kehrein", role = "ctb"),
    person("Guillaume", "Kon-Kam-King", role = "ctb"),
    person("Christelle", "Lopes", role = "ctb"),
    person("Philippe", "Ruiz", role = "ctb"),
    person("Alexander", "Singer", role = "ctb"),
    person("Philippe", "Veber", role = "aut")
    )
Maintainer: Virgile Baudrot <virgile.baudrot@qonfluens.com>
URL: https://cran.r-project.org/package=morse
BugReports: https://gitlab.com/qonfluens/model/morse
Description: Advanced methods for a valuable quantitative environmental risk 
   assessment using Bayesian inference of survival and reproduction Data. Among
   others, it facilitates Bayesian inference of the general unified
   threshold model of survival (GUTS). See our companion paper 
   Baudrot and Charles (2021) <doi:10.21105/joss.03200>,
   as well as complementary details in Baudrot et al. (2018)
   <doi:10.1021/acs.est.7b05464> and Delignette-Muller et al.
   (2017) <doi:10.1021/acs.est.6b05326>.
Depends: R (>= 3.5.0)
SystemRequirements: JAGS (>= 4.0.0) (see
        https://mcmc-jags.sourceforge.io)
Imports: coda, deSolve, dplyr, epitools, graphics, grDevices, ggplot2
        (>= 2.1.0), grid, gridExtra, magrittr, methods, reshape2, rjags
        (>= 4.0), stats, tibble, tidyr, zoo
License: MIT + file LICENSE
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 7.2.1
LazyData: true
NeedsCompilation: yes
Packaged: 2022-10-28 08:37:34 UTC; virgi
Author: Virgile Baudrot [aut, cre],
  Sandrine Charles [aut],
  Marie Laure Delignette-Muller [aut],
  Wandrille Duchemin [ctb],
  Benoit Goussen [ctb],
  Nils Kehrein [ctb],
  Guillaume Kon-Kam-King [ctb],
  Christelle Lopes [ctb],
  Philippe Ruiz [ctb],
  Alexander Singer [ctb],
  Philippe Veber [aut]
Repository: CRAN
Date/Publication: 2022-10-28 11:45:09 UTC
